Skip to main content
`Ctrl`+`K`

# MatCompositeGetMatStructure

Returns the structure of matrices in the composite matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetMatStructure(Mat mat, MatStructure *str)

Not Collective

## Input Parameter

- mat - the composite matrix

## Output Parameter

- str - structure of the matrices

## See Also

Matrices, `Mat`, `MatCreateComposite()`, `MatCompositeSetMatStructure()`, `MATCOMPOSITE`

## Level

advanced

## Location

src/mat/impls/composite/mcomposite.c

## Implementations

MatCompositeGetMatStructure_Composite() in src/mat/impls/composite/mcomposite.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages